bitel.billing.server.bill.bean

## Class EmailMaster

- java.lang.Object
- - bitel.billing.server.bill.bean.EmailMaster

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class EmailMaster
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EmailMaster.MailData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailMaster(Setup setup, java.sql.Connection con, int moduleId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttach(javax.mail.Multipart m)`
    `void` | `addMessage(javax.mail.Multipart multipart)`
    `void` | `close()`
    `java.lang.String` | `getEmail()`
    `java.util.Vector<java.lang.String>` | `getEmails()`
    `java.lang.String` | `getSubject()`
    `void` | `setContractId(int cid)` Устанавливает данные договора.
    `void` | `setDocumentId(java.lang.String type, int id)` Устанавливает кода документа.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailMaster

          public EmailMaster(Setup setup,
                             java.sql.Connection con,
                             int moduleId,
                             int userId)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### setDocumentId

          public void setDocumentId(java.lang.String type,
                                    int id)

      Устанавливает кода документа.
      Parameters:
        `id` -

    - #### setContractId

          public void setContractId(int cid)

      Устанавливает данные договора.
      Parameters:
        `cid` - если 0 - то договор берётся по данным документа, иначе - явное задание.

    - #### getEmails

          public java.util.Vector<java.lang.String> getEmails()
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getEmail

          public java.lang.String getEmail()
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getSubject

          public java.lang.String getSubject()

    - #### addAttach

          public void addAttach(javax.mail.Multipart m)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addMessage

          public void addMessage(javax.mail.Multipart multipart)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### close

          public void close()
                     throws java.lang.Exception

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.lang.Exception`